打印

lnmp php5.4安装ssl出现错误

lnmp php5.4安装ssl出现错误

不是阿里云vps, 环境是centos6, php5.4环境下安装ssl出现以下错误。php5.5没有问题。

It will be processed automatically.

Press any key to start create virtul host...

Create Virtul Host directory......
set permissions of Virtual Host directory......
chmod: changing permissions of `/home/wwwroot/forvivi.com/.user.ini': Operation not permitted
chown: changing ownership of `/home/wwwroot/forvivi.com/.user.ini': Operation not permitted
Create Virtul Host Rewrite file......
Create rewirte file successful,You can add rewrite rule into /usr/local/nginx/conf/forvivi.com.conf.
Test Nginx configure file......
nginx: the configuration file /usr/local/nginx/conf/nginx.conf syntax is ok
nginx: configuration file /usr/local/nginx/conf/nginx.conf test is successful
Reload Nginx......
/bin/lnmp: line 401: /home/wwwroot/forvivi.com/.user.ini: Permission denied
chmod: changing permissions of `/home/wwwroot/forvivi.com/.user.ini': Operation not permitted
Gracefully shutting down php-fpm . done
Starting php-fpm  done
/bin/certbot [found]
Starting create SSL Certificate use Let's Encrypt...
Bootstrapping dependencies for RedHat-based OSes... (you can skip this with --no-bootstrap)
yum is /usr/bin/yum
To use Certbot, packages from the EPEL repository need to be installed.
Enabling the EPEL repository in 1 seconds...
Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
* base: repos.forethought.net
* extras: mirror.hmc.edu
* updates: mirrors.xmission.com
Package epel-release-6-8.noarch already installed and latest version
Nothing to do
Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
* base: repos.forethought.net
* extras: mirror.hmc.edu
* updates: mirrors.xmission.com
Package gcc-4.4.7-18.el6.x86_64 already installed and latest version
Package augeas-libs-1.0.0-10.el6.x86_64 already installed and latest version
Package openssl-1.0.1e-57.el6.x86_64 already installed and latest version
Package openssl-devel-1.0.1e-57.el6.x86_64 already installed and latest version
Package libffi-devel-3.0.5-3.2.el6.x86_64 already installed and latest version
Package redhat-rpm-config-9.0.3-51.el6.centos.noarch already installed and latest version
Package ca-certificates-2017.2.14-65.0.1.el6_9.noarch already installed and latest version
Package python-2.6.6-66.el6_8.x86_64 already installed and latest version
Package python-devel-2.6.6-66.el6_8.x86_64 already installed and latest version
No package python-virtualenv available.
Package python-tools-2.6.6-66.el6_8.x86_64 already installed and latest version
No package python-pip available.
Nothing to do
Creating virtual environment...
/bin/certbot: line 864: virtualenv: command not found
Let's Encrypt SSL Certificate create failed!
================================================



[root@host ~]# python -V
Python 2.6.6
[root@host ~]# virtualenv -v
-bash: virtualenv: command not found
[root@host ~]# ^C
[root@host ~]# pip -V
-bash: pip: command not found
[root@host ~]# ls -l /usr/bin/python*
-rwxr-xr-x 2 root root 4864 Aug 18  2016 /usr/bin/python
lrwxrwxrwx 1 root root    6 Dec 29 12:14 /usr/bin/python2 -> python
-rwxr-xr-x 2 root root 4864 Aug 18  2016 /usr/bin/python2.6
-rwxr-xr-x 1 root root 1418 Aug 18  2016 /usr/bin/python2.6-config
lrwxrwxrwx 1 root root   16 Dec 29 12:14 /usr/bin/python-config -> python2.6-config
[root@host ~]#

[ 本帖最后由 polar 于 2017-12-29 12:50 编辑 ]

TOP

centos6的python版本太低造成以上问题, 解决办法,安装centos7或者升级python2.75以上。

TOP

和php版本没关系,有可能你系统上epel源有问题,造成python-pip和virtualenv没安装上

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP